---
updatedAt: 2026-02-10T11:58:49.000Z
---

# Update Account

**This API requires the Account Administrator role.**

Updates an account. This is a complete replacement of the existing Account.

Changes to the fields:
  * `name`
  * `features`

Will trigger asynchronous updates for 'name','features' the status of which should be monitored via `/accounts:listStatuses`.

The following fields must be unique otherwise a `HTTP 409 Conflict` will be returned:
  * `name`

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - Account",
    "description": "Multi Tenancy Service REST APIs are used to create,update delete,fetch the Account and Account hierarchy.",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.1"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "basePath": {
          "default": "/api/admin/account/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Account",
      "description": "APIs to manage Accounts."
    }
  ],
  "paths": {
    "/accounts/{accountId}": {
      "put": {
        "tags": [
          "Account"
        ],
        "summary": "Update Account",
        "description": "**This API requires the Account Administrator role.**\n\nUpdates an account. This is a complete replacement of the existing Account.\n\nChanges to the fields:\n  * `name`\n  * `features`\n\nWill trigger asynchronous updates for 'name','features' the status of which should be monitored via `/accounts:listStatuses`.\n\nThe following fields must be unique otherwise a `HTTP 409 Conflict` will be returned:\n  * `name`\n",
        "operationId": "updateAccount",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/AccountUpdateDetails"
        },
        "responses": {
          "202": {
            "description": "Account update request accepted",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Account"
                },
                "examples": {
                  "AccountDetails": {
                    "$ref": "#/components/examples/AccountDetails"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorConstraintViolation"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "409": {
            "$ref": "#/components/responses/Conflict"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "requestBodies": {
      "AccountUpdateDetails": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Account"
            },
            "examples": {
              "AccountDetails": {
                "$ref": "#/components/examples/AccountUpdateDetails"
              }
            }
          }
        },
        "description": "Account Update request object",
        "required": true
      }
    },
    "schemas": {
      "AccountProperty": {
        "description": "Free format name value pair to add information to a account beyond its standard fields.",
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "dnis",
            "minLength": 1,
            "maxLength": 255,
            "pattern": "^[a-zA-Z0-9\\p{L}\\-\\_\\.\\ ]+$"
          },
          "key": {
            "type": "string",
            "example": "dnis",
            "minLength": 1,
            "maxLength": 255,
            "pattern": "^[a-zA-Z0-9\\p{L}\\-\\_\\.\\ ]+$"
          },
          "value": {
            "type": "string",
            "example": "1234",
            "maxLength": 255
          }
        },
        "title": "AccountProperty"
      },
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      },
      "OrganizationNodeType": {
        "description": "Type of node in a Account's organization structure. For example location, department, region, location, business division, team, etc.",
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "Location",
            "minLength": 1,
            "maxLength": 255,
            "pattern": "^[a-zA-Z0-9\\p{L}\\-\\_\\.\\ ]+$"
          },
          "position": {
            "type": "integer",
            "format": "int32",
            "example": 1
          }
        },
        "title": "OrganizationNodeType"
      },
      "Profile": {
        "description": "Unique ID of User Profile like Basic, Core, Power, Trial, etc.",
        "type": "object",
        "required": [
          "profileId"
        ],
        "properties": {
          "profileId": {
            "type": "string",
            "example": "ASEDFG",
            "minLength": 6,
            "maxLength": 6,
            "pattern": "^[a-zA-Z0-9\\-\\_\\.\\ ]+$"
          },
          "url": {
            "type": "string",
            "example": "/api/admin/user/v1/accounts/AVSDER/profiles/ASEDFG",
            "minLength": 1,
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "readOnly": true,
            "example": "ASEDFG",
            "minLength": 0,
            "maxLength": 255
          }
        },
        "title": "Profile"
      },
      "Address": {
        "type": "object",
        "description": "A real address and phone number for an Account.",
        "required": [
          "addressName",
          "streetNumber",
          "streetName",
          "countryCode",
          "zip"
        ],
        "properties": {
          "addressName": {
            "type": "string",
            "minLength": 1,
            "maxLength": 32,
            "pattern": "^[a-zA-Z\\p{L}0-9]+([ ]*[a-zA-Z\\p{L}0-9-\\_\\*\\=\\+\\$\\:\\;\\&\\~\\,\\?\\%\\!\\|\\{\\}\\`\\.\\']+)*$",
            "example": "OfficeAddress"
          },
          "addressId": {
            "type": "string",
            "example": "c8c2909d-75e9-484a-94c0-b7e8d29771fe",
            "minLength": 36,
            "maxLength": 36,
            "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          },
          "streetNumber": {
            "type": "string",
            "minLength": 1,
            "maxLength": 16,
            "example": "E-11"
          },
          "streetName": {
            "type": "string",
            "minLength": 2,
            "maxLength": 128,
            "example": "Allstate Pkwy"
          },
          "addressType": {
            "type": "string",
            "enum": [
              "OFFICE",
              "APARTMENT",
              "BASEMENT",
              "BUILDING",
              "DEPARTMENT",
              "FLOOR",
              "FRONT",
              "KEY",
              "LOBBY",
              "LOT",
              "LOWER",
              "PENTHOUSE",
              "PIER",
              "REAR",
              "ROOM",
              "SIDE",
              "SLIP",
              "SPACE",
              "STOP",
              "SUITE",
              "TRAILER",
              "UNIT",
              "UPPER"
            ],
            "example": "OFFICE"
          },
          "addressTypeNumber": {
            "type": "string",
            "minLength": 0,
            "maxLength": 64,
            "example": "300A"
          },
          "city": {
            "type": "string",
            "minLength": 0,
            "maxLength": 128,
            "example": "Markham"
          },
          "state": {
            "type": "string",
            "minLength": 1,
            "maxLength": 3,
            "example": "ON"
          },
          "countryCode": {
            "type": "string",
            "example": "IN",
            "minLength": 2,
            "maxLength": 2,
            "description": "Country code of the Country"
          },
          "zip": {
            "type": "string",
            "minLength": 4,
            "maxLength": 16,
            "example": "L3R9T8",
            "pattern": "^[A-Za-z0-9\\p{L}_ -]*$"
          },
          "isDefault": {
            "type": "boolean",
            "example": true,
            "description": "An account can have multiple addresses. Unless specified by the administrator, the first one is marked as a default address.",
            "default": false
          }
        }
      },
      "Domain": {
        "type": "object",
        "description": "Unique domain name of a customer",
        "required": [
          "domainName"
        ],
        "properties": {
          "domainName": {
            "type": "string",
            "example": "acme.com",
            "minLength": 3,
            "maxLength": 255,
            "pattern": "^((?!-)[A-Za-z0-9\\p{L}-]{1,63}(?<!-)\\.)+[A-Za-z\\p{L}]{2,63}$"
          },
          "isDefault": {
            "type": "boolean",
            "example": true,
            "description": "An account can have multiple domain names. Unless specified by the administrator, the first one is marked as default.",
            "default": false
          }
        },
        "title": "Domain"
      },
      "Account": {
        "type": "object",
        "description": "An Account represents the following\n* A customer that subscribes to an Avaya service.\n* An Avaya customer can manage the Account. These customers use a share of resources and features allocated to their  Account.\n",
        "required": [
          "name",
          "domains",
          "accountSize"
        ],
        "properties": {
          "url": {
            "type": "string",
            "readOnly": true,
            "maxLength": 1024,
            "example": "/api/admin/account/v1/accounts/ABCDEF"
          },
          "name": {
            "type": "string",
            "description": "Name of the account. Unique in the solution.",
            "example": "Acme",
            "minLength": 1,
            "maxLength": 255,
            "pattern": "^(?=.*[a-zA-Z0-9\\p{L}])[a-zA-Z0-9\\p{L}(){};,:'^+<>&£@$¥€`~?#%+*\"\\\\=\\[\\]\\-\\_\\.\\!\\|\\ ]+$"
          },
          "domains": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "$ref": "#/components/schemas/Domain"
            }
          },
          "emergencyEmailAddresses": {
            "type": "array",
            "maxItems": 10,
            "items": {
              "type": "string",
              "example": "account1@acc.com",
              "minLength": 0,
              "maxLength": 255,
              "pattern": "^[a-zA-Z\\p{L}0-9+-_.]+(?:\\.[a-zA-Z\\p{L}0-9+-_.]+)*@(?:[a-zA-Z\\p{L}0-9-]+\\.)+[a-zA-Z\\p{L}]{2,6}$",
              "description": "Emergency Email Address of the Account"
            }
          },
          "isDefault": {
            "type": "boolean",
            "readOnly": true,
            "example": false,
            "description": "There will be only one tenant in the solution with this flag set to true. Default tenant is created when the service is first installed."
          },
          "accountSize": {
            "description": "Maximum number of users that can be provisioned for an Account. The max value for this field is configured at a solution level. An Account Administrator can not modify this field for their own Account.",
            "type": "integer",
            "format": "int32",
            "minimum": 1,
            "example": 500
          },
          "description": {
            "type": "string",
            "description": "Description of the account.",
            "minLength": 0,
            "maxLength": 1024
          },
          "addresses": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "$ref": "#/components/schemas/Address"
            }
          },
          "createdAt": {
            "type": "string",
            "format": "date-time",
            "example": "2021-11-13T20:25:39.534Z",
            "readOnly": true
          },
          "accountProperties": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "$ref": "#/components/schemas/AccountProperty"
            }
          },
          "organizationNodeTypes": {
            "type": "array",
            "maxItems": 50,
            "description": "Model of the account's organization structure. For example, Organization -> Location -> Department -> Team",
            "items": {
              "$ref": "#/components/schemas/OrganizationNodeType"
            }
          },
          "profiles": {
            "type": "array",
            "maxItems": 200,
            "items": {
              "$ref": "#/components/schemas/Profile"
            }
          },
          "features": {
            "$ref": "#/components/schemas/AccountFeatures"
          },
          "enabled": {
            "type": "boolean",
            "description": "A global flag to enable/disable customer's access. Some reasons to disable an account are unpaid bills, policy violations, incomplete setup, etc.",
            "readOnly": true,
            "example": true
          },
          "accountId": {
            "type": "string",
            "readOnly": true,
            "minLength": 6,
            "maxLength": 6,
            "example": "ABCDEF"
          },
          "enabledFeatures": {
            "type": "string",
            "readOnly": true,
            "maxLength": 1024,
            "description": "List of comma separated features that are enabled for the tenant.",
            "example": "voice,email,messaging"
          },
          "countryCode": {
            "type": "string",
            "example": "IN",
            "minLength": 2,
            "maxLength": 2,
            "description": "Country code of the Account"
          },
          "timezone": {
            "type": "string",
            "example": "Europe/Berlin",
            "minLength": 2,
            "maxLength": 256,
            "description": "Timezone of the Account"
          }
        },
        "title": "Account"
      },
      "AccountFeatures": {
        "type": "object",
        "description": "Features associated to the account",
        "properties": {
          "voice": {
            "$ref": "#/components/schemas/VoiceFeature"
          },
          "chat": {
            "$ref": "#/components/schemas/DigitalChannelFeature"
          },
          "messaging": {
            "$ref": "#/components/schemas/MessagingFeature"
          },
          "email": {
            "$ref": "#/components/schemas/DigitalChannelFeature"
          },
          "ucs": {
            "$ref": "#/components/schemas/UcsFeature"
          },
          "recorder": {
            "$ref": "#/components/schemas/RecorderFeature"
          },
          "aci": {
            "$ref": "#/components/schemas/ACIFeature"
          },
          "bvr": {
            "$ref": "#/components/schemas/BVRFeature"
          },
          "matching": {
            "$ref": "#/components/schemas/MatchingFeature"
          },
          "outbound": {
            "$ref": "#/components/schemas/OutboundFeature"
          },
          "cmvoice": {
            "$ref": "#/components/schemas/CMVoiceFeature"
          },
          "automatedoutreach": {
            "$ref": "#/components/schemas/AutomatedOutreachFeature"
          },
          "advancedcmvoice": {
            "$ref": "#/components/schemas/AdvancedCMVoiceFeature"
          },
          "realtimevoicetranscription": {
            "$ref": "#/components/schemas/RealtimeVoiceTranscriptionFeature"
          }
        }
      },
      "VoiceFeature": {
        "description": "Voice feature object",
        "type": "object",
        "properties": {
          "consult": {
            "type": "boolean",
            "description": "flag to enable/disable the consult feature in order to allow the consult call.",
            "default": true
          },
          "mpcSIPTrunk": {
            "type": "string",
            "description": "value of SIP Trunk selected in case of UCCC",
            "maxLength": 50
          },
          "customSIPTrunk": {
            "type": "string",
            "description": "custom SIP Trunk value",
            "maxLength": 255
          },
          "emergencyCallSipTrunk": {
            "type": "string",
            "description": "emergency call SIP trunk Name",
            "maxLength": 100
          },
          "remotePartyHeader": {
            "type": "boolean",
            "description": "flag for Remote-Party-ID SIP header during transfer over BYOC Hybrid trunk",
            "default": false
          }
        }
      },
      "UcsFeature": {
        "description": "Uniform Communication Services",
        "type": "object",
        "properties": {
          "provider": {
            "type": "string",
            "example": "ACO,MSTeams,AvayaSpaces",
            "readOnly": true,
            "description": "Value of the provider. Supported values are ACO,MSTeams,AvayaSpaces",
            "maxLength": 255
          }
        }
      },
      "DigitalChannelFeature": {
        "type": "object",
        "description": "Digital Channel feature"
      },
      "MessagingFeature": {
        "type": "object",
        "description": "Digital Channel feature"
      },
      "RecorderFeature": {
        "description": "Recorder Feature",
        "type": "object"
      },
      "OutboundFeature": {
        "description": "Outbound Feature",
        "type": "object"
      },
      "CMVoiceFeature": {
        "description": "Communication Managers Voice Feature",
        "type": "object"
      },
      "ACIFeature": {
        "description": "ACI(Avaya Conversational Intelligence) feature",
        "type": "object"
      },
      "BVRFeature": {
        "description": "BVR(Basic Voice Recorder) feature",
        "type": "object"
      },
      "MatchingFeature": {
        "description": "Matching feature",
        "type": "object"
      },
      "AutomatedOutreachFeature": {
        "description": "Automated Outreach Feature",
        "type": "object"
      },
      "AdvancedCMVoiceFeature": {
        "description": "Advanced Communication Managers Voice Feature",
        "type": "object"
      },
      "RealtimeVoiceTranscriptionFeature": {
        "description": "Realtime Voice Transcription Feature"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      }
    },
    "examples": {
      "AccountDetails": {
        "description": "Account Details",
        "value": {
          "url": "/api/admin/account/v1/accounts/AQWSDE",
          "name": "SyncG",
          "domains": [
            {
              "domainName": "avaya.com",
              "isDefault": true
            }
          ],
          "emergencyEmailAddresses": [
            "account1@avaya.com"
          ],
          "isDefault": false,
          "accountSize": 10,
          "description": "Account for SyncG",
          "addresses": [
            {
              "addressName": "Office",
              "addressId": "8be739b2-e4e3-411e-95aa-61e4c596e8a4",
              "streetNumber": "12B",
              "streetName": "East Street",
              "addressType": "BASEMENT",
              "addressTypeNumber": "12A",
              "city": "Pune",
              "state": "MH",
              "countryCode": "IN",
              "zip": "41103Z",
              "isDefault": true
            }
          ],
          "createdAt": "2023-01-18T10:51:45.904Z",
          "organizationNodeTypes": [
            {
              "name": "Account",
              "position": 1
            },
            {
              "name": "Location",
              "position": 2
            }
          ],
          "profiles": [
            {
              "profileId": "AQXSWF",
              "url": "/api/admin/user/v1/accounts/AVSDER/profiles/ASEDFG"
            }
          ],
          "features": {
            "voice": {
              "consult": true
            },
            "chat": {},
            "email": {},
            "aci": {},
            "bvr": {},
            "ucs": {
              "provider": "MSTeams,ACO"
            },
            "recorder": {},
            "outbound": {},
            "messaging": {},
            "cmvoice": {},
            "automatedoutreach": {},
            "advancedcmvoice": {},
            "realtimevoicetranscription": {}
          },
          "enabled": true,
          "accountId": "AQWSDE",
          "enabledFeatures": "matching,voice,chatucs,recorder,outbound,automatedoutreach,realtimevoicetranscription",
          "countryCode": "IN",
          "timezone": "Asia/Calcutta"
        }
      },
      "AccountUpdateDetails": {
        "description": "Account Details",
        "value": {
          "name": "SyncG",
          "domains": [
            {
              "domainName": "avaya.com",
              "isDefault": true
            }
          ],
          "emergencyEmailAddresses": [
            "account1@avaya.com"
          ],
          "accountSize": 10,
          "description": "Account for SyncG",
          "addresses": [
            {
              "addressName": "Office",
              "addressId": "8be739b2-e4e3-411e-95aa-61e4c596e8a4",
              "streetNumber": "12B",
              "streetName": "East Street",
              "addressType": "BASEMENT",
              "addressTypeNumber": "12A",
              "city": "Pune",
              "state": "MH",
              "countryCode": "IN",
              "zip": "41103Z",
              "isDefault": true
            }
          ],
          "organizationNodeTypes": [
            {
              "name": "Account",
              "position": 1
            },
            {
              "name": "Location",
              "position": 2
            }
          ],
          "profiles": [
            {
              "profileId": "AQXSWF",
              "url": "/api/admin/user/v1/accounts/AVSDER/profiles/ASEDFG"
            }
          ],
          "features": {
            "voice": {
              "consult": true
            },
            "chat": {},
            "email": {},
            "aci": {},
            "bvr": {},
            "ucs": {
              "provider": "MSTeams,ACO"
            },
            "recorder": {},
            "outbound": {},
            "automatedoutreach": {},
            "messaging": {},
            "realtimevoicetranscription": {}
          },
          "countryCode": "IN",
          "timezone": "Asia/Calcutta"
        }
      },
      "ConflictError": {
        "description": "Conflict with the current state of the OrganizationNode",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#conflict",
          "title": "Conflict",
          "status": 409,
          "detail": "Account with AccountName:SyncG already exists"
        }
      },
      "ConstraintViolationError": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "accountId",
              "message": "must match \"^[a-zA-Z]{6}$\"",
              "code": 20006
            }
          ]
        }
      },
      "UnauthorizedError": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/onecloud-ccaas/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ForbiddenError": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user and/or accountId does not have permission to access this resource."
        }
      },
      "NotFoundError": {
        "description": "Resource not found",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#resource-not-found",
          "title": "Resource Not Found",
          "status": 404,
          "detail": "Account with AccountId:ASDAES not found."
        }
      },
      "ServerError": {
        "description": "Internal Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/UnauthorizedError"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ForbiddenError"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/NotFoundError"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "All other application errors",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ServerError"
              }
            }
          }
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ConstraintViolationError"
              }
            }
          }
        }
      },
      "Conflict": {
        "description": "Conflict",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ConflictError"
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```